<?php

namespace App\Console\Commands;

use Illuminate\Console\Attributes\Description;
use Illuminate\Console\Attributes\Signature;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Cache;

#[Signature('submissions:down')]
#[Description('Disable submissions')]
class SubmissionsDown extends Command
{
    /**
     * Execute the console command.
     */
    public function handle()
    {
        Cache::put('submissions_maintenance', true );
        $this->info("Submissions disabled.");
    }
}
